Add fontStyle / fontName argument for FontAssetDelegate (#2103)

New functions are fully backward compatible.
4 files changed
tree: b1f4e30aaf822b1ed3c055e15c5e7d77c8190dc6
  1. .github/
  2. .idea/
  3. After Effects Samples/
  4. gifs/
  5. gradle/
  6. images/
  7. issue-repro/
  8. issue-repro-compose/
  9. lottie/
  10. lottie-compose/
  11. sample/
  12. sample-compose/
  13. sample-compose-benchmark/
  14. snapshot-tests/
  15. .gitattributes
  16. .gitignore
  17. build.gradle
  18. CHANGELOG.md
  19. CHANGELOG_COMPOSE.md
  20. CODE_OF_CONDUCT.md
  21. credentials.tar.gz
  22. decrypt.sh
  23. deploy_snapshot.sh
  24. DESIGNER_NOTES.md
  25. gcloud_run.sh
  26. gcloud_setup.sh
  27. gradle.properties
  28. gradlew
  29. gradlew.bat
  30. LICENSE
  31. post_pr_comment.js
  32. README.md
  33. RELEASE.md
  34. secrets.tar.enc
  35. settings.gradle
  36. sign.sh
  37. upload_release.sh
  38. version.sh
README.md

Lottie for Android, iOS, React Native, Web, and Windows

Build Status

Lottie is a mobile library for Android and iOS that parses Adobe After Effects animations exported as json with Bodymovin and renders them natively on mobile!

For the first time, designers can create and ship beautiful animations without an engineer painstakingly recreating it by hand. They say a picture is worth 1,000 words so here are 13,000:

Sponsors

Lottie is maintained and improved on nights and weekends. If you use Lottie in your app, please consider sponsoring it to help ensure that we can continue to improve the project we love. Click the sponsor button above to learn more

Lead Sponsors

View documentation, FAQ, help, examples, and more at airbnb.io/lottie

Example1

Example2

Example3

Community

Example4

Download

Gradle is the only supported build configuration, so just add the dependency to your project build.gradle file:

dependencies {
  implementation 'com.airbnb.android:lottie:$lottieVersion'
}

The latest Lottie version is: lottieVersion

The latest stable Lottie-Compose version is: lottieVersion Click here for more information on Lottie-Compose.

Lottie 2.8.0 and above only supports projects that have been migrated to androidx. For more information, read Google's migration guide.

Contributing

Because development has started for Lottie Compose, Gradle, and the Android Gradle Plugin will be kept up to date with the latest canaries. This also requires you to use Android Studio Canary builds. Preview builds can be installed side by side with stable versions.